Skip to main content

List financial documents

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/financial-documents

Retrieve a paginated list of financial documents for a specific cash register.

Financial documents include receipts, returns, collections, and fiscal day reports.

Filtering​

You can filter documents by:

  • Creation date range
  • Document type
  • Fiscal day number

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
numberstring✓The cash register number

Query Parameters​

NameTypeRequiredDescription
pageSizeintegerNumber of items per page (min: 1, max: 100)
pageintegerThe current page number (min: 1)
createdAtFromstringFilter orders created on or after the specified UTC timestamp
createdAtTostringFilter orders created on or before the specified UTC timestamp
typearrayFilter documents by type
fiscalDayNumberintegerFilter documents by fiscal day number

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Cash register not found

This error indicates the requested resource was not found.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/financial-documents?pageSize=10&page=1&createdAtFrom=2023-01-01T00:00:00Z&createdAtTo=2023-12-31T23:59:59Z&type[]=receipt&fiscalDayNumber=123
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"itemsTotal": 100,
"pagesTotal": 10,
"data": [
{
"id": 100,
"type": "receipt",
"receiptNumber": "41/2",
"fiscalDayNumber": 2,
"receiptTime": "2024-11-04T10:15:30Z",
"status": "unsynced",
"cashRegisterNumber": "CR-000000001",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
}
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Query Parameters
type
Filter documents by type
fiscalDayNumber
Filter documents by fiscal day number

RESPONSE

Successful Response
{
"itemsTotal": 100,
"pagesTotal": 10,
"data": [
{
"id": 100,
"type": "receipt",
"receiptNumber": "41/2",
"fiscalDayNumber": 2,
"receiptTime": "2024-11-04T10:15:30Z",
"status": "unsynced",
"cashRegisterNumber": "CR-000000001",
"order": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456"
}
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}